#ifndef COURSE_H
#define COURSE_H

#include <string>
#include "Student.h"

// Course class definition
class Course
{
private:
    
    char name[31]{"None"};
    char course_number[11]{"None"};
    Student class_list[45];
    int num_students{0};
    
    void sort_class_list();
    
public:
    
    // Constructors
    Course() = default;
    Course(const char*, const char*);
    
    // Other member functions
    void read_student_data(const std::string&);
    void print() const;
};

#endif
